Will my goTenna work with a Kindle or other Android tablets?

The UI won't look great, but the goTenna Android app would work. Such devices would have to be running Android OS 4.3 or higher, and be Bluetooth-LE enabled.

Have more questions? Submit a request

1 Comments

  • Avatar
    Walker Bait

    How do I check to be sure it meets those guidelines on a Kindle Fire Tablet?
    If it does not meet these requirements, thinking specifically of the Android version, is there a way to upgrade to that version?
    Thanks, in advance, for any & all helpful responses...

Please sign in to leave a comment.
Powered by Zendesk